V1 and V2Product Families

Edit family attribute inheritance

POST
/api/v1/product_families/{product_family_id}/attributes/edit

Edit product family attributes inheritance. Only the attributes included will be modified

Body

ParameterTypeMandatoryDescription
parent_levellistnoList of attribute labels for which you want to set the level 1 inheritance ON
variant_levellistnoList of attribute labels for which you want to set the level 2 inheritance ON
no_levellistnoList of attribute labels for which you want to set the inheritance OFF

A 202 ACCEPTED status code is returned upon success.

The "parent_level" and "variant_level" options are available only when automatic inheritance is active on the account. Contact your account manager for more information.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_family_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST 'https://example.com/api/v1/product_families/string/attributes/edit' \  -H 'Content-Type: application/json' \  --data-raw '{  "parent_level": [    "attribute1_label",    "attribute2_label"  ],  "variant_level": [    "attribute3_label",    "attribute4_label"  ],  "no_level": [    "attribute5_label",    "attribute6_label"  ]}'
Empty